/*
 * TWI_slave.h
 *
 * Created: 21.3.2016 12:49:57
 *  Author: tomino
 */ 


#ifndef TWI_SLAVE_H_
#define TWI_SLAVE_H_






#endif /* TWI_SLAVE_H_ */


void zapniTWI_slave (uint8_t adress);
uint8_t checkuj_adresu();
void precti_data (uint8_t *data);
uint8_t precti_instrukci (void);
void odesli_odpoved (uint8_t);


/*
toto zkopirovat do main kontroleru do ktereho se bude implementovat:

ISR(USI_START_vect)
{
	co_delat=checkuj_adresu();
	switch (co_delat)
	{
		case 1:
		if (mod==0) instrukce=precti_instrukci();
		else precti_data(p_data);
		break;
		case 2:
		odesli_odpoved(data[0]);
		break;
		case 3:
		instrukce=precti_instrukci();
		case 25:
		break;
	}
	USICR=0b10101000;
	USISR=0b11110000;
}
*/